Aumo Docs
Workflowsorg/{org_id}/workspaces/{workspace_id}workflows{workflow_id}

revert

POST /api/v1/org/{org_id}/workspaces/{workspace_id}/workflows/{workflow_id}/revert

POST
/api/v1/org/{org_id}/workspaces/{workspace_id}/workflows/{workflow_id}/revert

Authorization

BearerAuth
AuthorizationBearer <token>

Token de usuário, Personal Access Token (aumo_pat_...) ou chave de projeto (aumo_pk_...).

In: header

Path Parameters

org_id*Org Id
workspace_id*Workspace Id
workflow_id*Workflow Id

Header Parameters

Idempotency-Key?string|null
X-Correlation-ID?string

Identificador para rastrear a requisição. Gerado pelo gateway quando omitido.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/org/string/workspaces/string/workflows/string/revert" \  -H "Content-Type: application/json" \  -d '{    "target_diff_id": "string"  }'
{  "workflow": {},  "reverted_from_diff_number": 0,  "reverted_to_diff_number": 0,  "changes_count": 0,  "new_diff_id": "string",  "description": "string"}